| Home | Libraries | People | FAQ | More

#### get_common_server_category

Returns the error_category associated to `common_server_errc`.

##### Synopsis

Defined in header `<boost/mysql/error_categories.hpp>`

    const boost::system::error_category&
    get_common_server_category();

##### Exception safety

No-throw guarantee.

##### Object lifetimes

The returned reference is always valid (points to a singleton).

##### Thread safety

This function is thread-safe.

Convenience header `<boost/mysql.hpp>`